<?php

namespace App\Entities\RespostaTextual;

use App\Utils\Builder;

class RespostaTextualBuilder implements Builder {
	protected $id;
	protected $id_resposta_formulario;
	protected $resposta;

	public function setId(int $id): RespostaTextualBuilder {

		$this->id = $id;
		return $this;

	}

	public function setIdRespostaFormulario(int $id_resposta_formulario): RespostaTextualBuilder {

		$this->id_resposta_formulario = $id_resposta_formulario;
		return $this;

	}

	public function setResposta(string $resposta): RespostaTextualBuilder {

		$this->resposta = $resposta;
		return $this;

	}

	public function build(): RespostaTextual {

		$resposta_textual = new RespostaTextual();
		if (isset( $this->id )) {
			$resposta_textual->setId( $this->id );
		}
		if (isset( $this->id_resposta_formulario )) {
			$resposta_textual->setIdRespostaFormulario( $this->id_resposta_formulario );
		}
		if (isset( $this->resposta )) {
			$resposta_textual->setResposta( $this->resposta );
		}
		return $resposta_textual;

	}

}